Will my Flashed 360 play kinect games ???? - HotUKDeals
We use cookie files to improve site functionality and personalisation. By continuing to use HUKD, you accept our cookie and privacy policy.
Get the HUKD app free at Google Play

Search Error

An error occurred when searching, please try again!

Login / Sign UpSubmit

Will my Flashed 360 play kinect games ????

Jeffry24 Avatar
6y, 2w agoPosted 6 years, 2 weeks ago
as above. if i just buy kinect will i be able to play backup games :)
thank you
Tags:
Jeffry24 Avatar
6y, 2w agoPosted 6 years, 2 weeks ago
Options

All Comments

(14) Jump to unreadPost a comment
Comments/page:
banned#1
Yes.
#2
You will need to download the latest 'Kinect' dashboard if you don't already have it. You can get this from Microsoft website if you are not connected to live (copy to usb stick and update from there).

But, the new dashboard has introduced a new copy protection, ap2.5. This means new games (Fable 3 and some others recently released) will not work on the new dash with the current version of flashed drives. A new one is being worked on at the moment so may need to flash your xbox again soon if you want these to work. Expect most new games to be ap2.5
If however your xbox has a Samsung DVD drive, this is unable to use ap2.5 so will not cause a problem.
As for Kinect games, so far none are ap2.5, so they will all work once you update your dashboard. (don't know if or when Kinect games will start using ap2.5)
#3
Richierea
You will need to download the latest 'Kinect' dashboard if you don't already have it. You can get this from Microsoft website if you are not connected to live (copy to usb stick and update from there).

But, the new dashboard has introduced a new copy protection, ap2.5. This means new games (Fable 3 and some others recently released) will not work on the new dash with the current version of flashed drives. A new one is being worked on at the moment so may need to flash your xbox again soon if you want these to work. Expect most new games to be ap2.5
If however your xbox has a Samsung DVD drive, this is unable to use ap2.5 so will not cause a problem.
As for Kinect games, so far none are ap2.5, so they will all work once you update your dashboard. (don't know if or when Kinect games will start using ap2.5)


Old Hitachi drives can still play any game without trouble, shame my 360 sounds like a hoover.

Yes Jeffry you can play all the Kinect games

Edited By: rwm24 on Nov 16, 2010 22:43
#4
alright so i need to update and kinect games will work, however other games will not on my 1.5 firmware ? is that wright ? thx
#5
Jeffry24
alright so i need to update and kinect games will work, however other games will not on my 1.5 firmware ? is that wright ? thx


Correct, other games that use ap2.5 will not work. Unless you have Samsung or as mentioned above some older Hitachi drives will still work.

Or wait for new firmware and flash again.

Also, not 100% sure, but 1.5 firmware may also need the activate.iso disc to be used in order to boot the newer wave versions. I'm sure someone can confirm that, or maybe you already know.

Edited By: Richierea on Nov 16, 2010 22:55
#6
i think i have benq drive !!!
one more qestion downloading new NFS and a bit confused, will i need to update to be able to play ? and when i update will i be able to play ??? thx
#7
Richierea
[quote=Jeffry24] alright so i need to update and kinect games will work, however other games will not on my 1.5 firmware ? is that wright ? thx


Correct, other games that use ap2.5 will not work. Unless you have Samsung or as mentioned above some older Hitachi drives will still work.

Or wait for new firmware and flash again.

Also, not 100% sure, but 1.5 firmware may also need the activate.iso disc to be used in order to boot the newer wave versions. I'm sure someone can confirm that, or maybe you already know.
[/quot

never had problems with load disc :)
#8
Jeffry24
i think i have benq drive !!!
one more qestion downloading new NFS and a bit confused, will i need to update to be able to play ? and when i update will i be able to play ??? thx


If you have not already updated to the 'Kinect' dash, then you should be able to play NFS (even though it is ap2.5). The older Dash will not perform the ap2.5 check. If you do update to 'Kinect' dash as it stands with the Benq drive NFS would not load.
So only update to 'Kinect' dash if you want to play Kinect games (and don't want to play ap2.5 games)

Edited By: Richierea on Nov 17, 2010 04:33
banned#9
Once you have uploaded the new xbox dash can you roll back to the old one?
#10
will it update automaticly or it will ask me to update, then i just say no and play with out problems ? is that correct ? thank you
#11
robbieukranger
Once you have uploaded the new xbox dash can you roll back to the old one?


No, you can never go back to a previous version.
banned#12
Ok thanks
#13
i have an xbox with old pre kinect dash that uses the activate.iso disc to boot anything above wave 4 games (think the fw is 1.51) does the kinect dash block the use of the activate.iso ? i know of the update preocess to update to kinect via 3 updates that gets rounf the ap2.5 protection but am worried that it might block the use of the activate disc!!!
thanks for any advice
craig
#14
i have an already banned xbox360 i purchased a kinect and installed it it worked with an original copy of the game but once i used a burned copy of another game it stopped working, it shows it is connected but it wont work, it tells me that a system update is needed from xbox live, i have already downloaded the update went through the proces and the system is telling me its already updated and kinect is still not working, any one has an idea why and how can this be fixed?

Post a Comment

You don't need an account to leave a comment. Just enter your email address. We'll keep it private.

...OR log in with your social account

...OR comment using your social account

Thanks for your comment! Keep it up!
We just need to have a quick look and it will be live soon.
The community is happy to hear your opinion! Keep contributing!